<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>JvmTestSuiteSpec (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="JvmTestSuiteSpec (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/jvm/test/JvmTestSuiteBinarySpec.JvmTestSuiteTasks.html" title="interface in org.gradle.jvm.test"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/jvm/test/JvmTestSuiteSpec.html" target="_top">Frames</a></li>
<li><a href="JvmTestSuiteSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.jvm.test</div>
<h2 title="Interface JvmTestSuiteSpec" class="title">Interface JvmTestSuiteSpec</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>, <a href="../../../../org/gradle/platform/base/GeneralComponentSpec.html" title="interface in org.gradle.platform.base">GeneralComponentSpec</a>, <a href="../../../../org/gradle/jvm/JvmComponentSpec.html" title="interface in org.gradle.jvm">JvmComponentSpec</a>, <a href="../../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a>, <a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a>, <a href="../../../../org/gradle/platform/base/SourceComponentSpec.html" title="interface in org.gradle.platform.base">SourceComponentSpec</a>, <a href="../../../../org/gradle/testing/base/TestSuiteSpec.html" title="interface in org.gradle.testing.base">TestSuiteSpec</a>, <a href="../../../../org/gradle/platform/base/VariantComponent.html" title="interface in org.gradle.platform.base">VariantComponent</a>, <a href="../../../../org/gradle/platform/base/VariantComponentSpec.html" title="interface in org.gradle.platform.base">VariantComponentSpec</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/gradle/jvm/test/JUnitTestSuiteSpec.html" title="interface in org.gradle.jvm.test">JUnitTestSuiteSpec</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">JvmTestSuiteSpec</span>
extends <a href="../../../../org/gradle/testing/base/TestSuiteSpec.html" title="interface in org.gradle.testing.base">TestSuiteSpec</a>, <a href="../../../../org/gradle/jvm/JvmComponentSpec.html" title="interface in org.gradle.jvm">JvmComponentSpec</a></pre>
<div class="block">Base type for all JVM test suites.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.11</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/platform/base/DependencySpecContainer.html" title="interface in org.gradle.platform.base">DependencySpecContainer</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/jvm/test/JvmTestSuiteSpec.html#getDependencies()">getDependencies</a></strong>()</code>
<div class="block">The set of dependencies applicable to the entire test suite.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/jvm/JvmComponentSpec.html" title="interface in org.gradle.jvm">JvmComponentSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/jvm/test/JvmTestSuiteSpec.html#getTestedComponent()">getTestedComponent</a></strong>()</code>
<div class="block">The tested component.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.testing.base.TestSuiteSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.testing.base.<a href="../../../../org/gradle/testing/base/TestSuiteSpec.html" title="interface in org.gradle.testing.base">TestSuiteSpec</a></h3>
<code><a href="../../../../org/gradle/testing/base/TestSuiteSpec.html#setTestedComponent(org.gradle.platform.base.ComponentSpec)">setTestedComponent</a>, <a href="../../../../org/gradle/testing/base/TestSuiteSpec.html#testing(org.gradle.platform.base.ComponentSpec)">testing</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.SourceComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../../org/gradle/platform/base/SourceComponentSpec.html" title="interface in org.gradle.platform.base">SourceComponentSpec</a></h3>
<code><a href="../../../../org/gradle/platform/base/SourceComponentSpec.html#getSources()">getSources</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.VariantComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../../org/gradle/platform/base/VariantComponentSpec.html" title="interface in org.gradle.platform.base">VariantComponentSpec</a></h3>
<code><a href="../../../../org/gradle/platform/base/VariantComponentSpec.html#getBinaries()">getBinaries</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.ComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a></h3>
<code><a href="../../../../org/gradle/platform/base/ComponentSpec.html#getProjectPath()">getProjectPath</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.VariantComponent">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../../org/gradle/platform/base/VariantComponent.html" title="interface in org.gradle.platform.base">VariantComponent</a></h3>
<code><a href="../../../../org/gradle/platform/base/VariantComponent.html#getName()">getName</a>, <a href="../../../../org/gradle/platform/base/VariantComponent.html#getVariants()">getVariants</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.model.ModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.model.<a href="../../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a></h3>
<code><a href="../../../../org/gradle/model/ModelElement.html#getDisplayName()">getDisplayName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDependencies()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDependencies</h4>
<pre><a href="../../../../org/gradle/platform/base/DependencySpecContainer.html" title="interface in org.gradle.platform.base">DependencySpecContainer</a>&nbsp;getDependencies()</pre>
<div class="block">The set of dependencies applicable to the entire test suite.</div>
</li>
</ul>
<a name="getTestedComponent()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTestedComponent</h4>
<pre><a href="../../../../org/gradle/jvm/JvmComponentSpec.html" title="interface in org.gradle.jvm">JvmComponentSpec</a>&nbsp;getTestedComponent()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/testing/base/TestSuiteSpec.html#getTestedComponent()">TestSuiteSpec</a></code></strong></div>
<div class="block">The tested component.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/testing/base/TestSuiteSpec.html#getTestedComponent()">getTestedComponent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/testing/base/TestSuiteSpec.html" title="interface in org.gradle.testing.base">TestSuiteSpec</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/jvm/test/JvmTestSuiteBinarySpec.JvmTestSuiteTasks.html" title="interface in org.gradle.jvm.test"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/jvm/test/JvmTestSuiteSpec.html" target="_top">Frames</a></li>
<li><a href="JvmTestSuiteSpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
